Subject: bug#35571: bug#35696: preview-latex does not work under any Emacs themes and bug#35571: 12.1; Changing foreground breaks previews

From: Ikumi Keita <[email-masked]>
Date: Mon, 17 Jun 2019 18:46:50 +0900

Hi all,

Now I have some spare time, so I'd like to continue to discuss what we
should do about this issue.
I'm now a bit inclined to take the option (2) and ask gs-devel to
provide suitable Postscript(?) code for preview-latex.  What do others
think?

Regards,
Ikumi Keita

>>>>> Ikumi Keita <[email-masked]> writes:

> Then, I'd like to ask other developers what we should do.  Some options
> which came to my mind, in no particular order, are:

> (1) Make `preview-pdf-color-string' just a no-op and drop the feature
> to match the foreground color of the generated image with the default
> face of emacs.
> (2) Find someone to revise the Postscript code in
> `preview-pdf-color-string'.  Maybe we can ask the developer of
> Ghostscript, looking at the paragraphs [1]:
> "The process of "tidying" the Postscript name space should have removed
> only non-standard and undocumented operators. Nevertheless, it is
> possible that any integrations or utilities that rely on those
> non-standard and undocumented operators may stop working, or may change
> behaviour.
> If you encounter such a case, please contact us (either the #ghostscript
> IRC channel, or the gs-devel mailing list would be best), and we'll work
> with you to either find an alternative solution."
> (I'm not sure this is a good idea or not, since similar problems may
> recur in future even if the current case is resolved.)
> (3) Find and ask someone to develop elisp code along with the David's
> suggestion of circumventing pdf2dsc.  (Though I have an impression that
> it's difficult to find a person skillful enough to carry out such a
> task, other than David himself.)

> Of course the alternatives are not limited to the above three.

> [1] https://www.ghostscript.com/doc/9.27/History9.htm